{
  lib,
  stdenvNoCC,
  fetchFromGitHub,
}:

stdenvNoCC.mkDerivation rec {
  # NOTE: this should be updated with linux_rpi
  pname = "raspberrypi-dtoverlays";
  version = "stable_20250916";

  src = fetchFromGitHub {
    owner = "raspberrypi";
    repo = "linux";
    tag = version;
    hash = "sha256-HG8Oc04V2t54l0SOn4gKmNJWQUrZfjWusgKcWvx74H0==";
  };

  installPhase = ''
    mkdir -p $out/dtbs/raspberrypi-overlays/
    mv arch/arm/boot/dts/overlays/* "$out/dtbs/raspberrypi-overlays/"
  '';

  dontConfigure = true;
  dontBuild = true;
  dontFixup = true;

  meta = with lib; {
    description = "Overlays for the Raspberry Pi board";
    homepage = "https://github.com/raspberrypi/linux";
    maintainers = with maintainers; [ ];
    # Hash mismatch on source, mystery.
    # Maybe due to https://github.com/NixOS/nix/issues/847
    broken = stdenvNoCC.hostPlatform.isDarwin;
  };
}
